Skip to main content
DELETE
/
{tenantUUID}
/
prefixes
/
{notation}
/
metadata
/
array
Remove metadata array elements from existing prefix holders metadata of a specified notation
curl --request DELETE \
  --url https://apigw.ipxo.com/nethub-data/{tenantUUID}/prefixes/{notation}/metadata/array \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "pathToArray": "string",
    "elements": [
      {}
    ],
    "position": 0
  }
]
'
[
  {
    "notation": "string",
    "ipNet": {
      "ip": "string",
      "mask": "string"
    },
    "maskSize": 0,
    "type": 0,
    "holderMetadata": {
      "key1": "value1",
      "keyN": "valueN"
    }
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tenantUUID
string
required

Tenant UUID

notation
string
required

Prefix notation

Body

application/json

Request payload for removing elements from metadata arrays.

pathToArray
string

The path to the metadata array in the holder.

elements
object[]

The elements to add to the array.

position
integer

The position at which to add elements in the array. Only works with push. Optional.

Response

Successful removal of metadata array elements.

notation
string
ipNet
object
maskSize
integer
type
enum<integer>

0 - IPv4, 1 - IPv6

Available options:
0,
1
holderMetadata
object
Example:
{ "key1": "value1", "keyN": "valueN" }